# Uses of Interface
javax.net.ssl.TrustManager

Packages that use TrustManager
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of TrustManager in javax.net.ssl

Subinterfaces of TrustManager in javax.net.ssl
Modifier and Type
Interface
Description
`interface`
`X509TrustManager`
Instance of this interface manage which X509 certificates may be used to authenticate the remote side of a secure socket.
Classes in javax.net.ssl that implement TrustManager
Modifier and Type
Class
Description
`class`
`X509ExtendedTrustManager`
Extensions to the `X509TrustManager` interface to support SSL/TLS/DTLS connection sensitive trust management.
Methods in javax.net.ssl that return TrustManager
Modifier and Type
Method
Description
`protected abstract TrustManager[]`
TrustManagerFactorySpi.`engineGetTrustManagers()`
Returns one trust manager for each type of trust material.
`final TrustManager[]`
TrustManagerFactory.`getTrustManagers()`
Returns one trust manager for each type of trust material.
Methods in javax.net.ssl with parameters of type TrustManager
Modifier and Type
Method
Description
`protected abstract void`
SSLContextSpi.`engineInit(KeyManager[] km, TrustManager[] tm, SecureRandom sr)`
Initializes this context.
`final void`
SSLContext.`init(KeyManager[] km, TrustManager[] tm, SecureRandom random)`
Initializes this context.